%define version 0.10.23
%define subrel	1
%define release %mkrel 14

#gw for gsettings:
%define _glib2		2.25
%define major		0.10
%define majorminor	0.10
%define bname		gstreamer0.10
%define name		%{bname}-plugins-bad
%define gst_required_version	0.10.36

# The version of some of the libraries under /usr/lib/ or /usr/lib64.
%define gst_libdir_ver 23

%define build_plf	0
%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define build_experimental	0
%{?_with_experimental: %{expand: %%global build_experimental 1}}
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	1
%define build_gme	1
%define build_celt	1

%if %build_plf
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_xvid	1
%define build_dts	1
%endif

%define libmajor	0
%define libnamephoto	%mklibname gstphotography %{major} %{libmajor}
%define develnamephoto	%mklibname -d gstphotography
%define libnamevdp	%mklibname gstvdp %{major} %{libmajor}
%define libnamebase	%mklibname gstbasevideo %{major} %{libmajor}
%define develnamebase	%mklibname -d gstbasevideo

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPLv2+ and GPLv2+
Group: 		Sound/Players
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.bz2
Patch0:		gst-plugins-bad-0.10.7-wildmidi-timidity.cfg.patch
Patch1:		gst-plugins-bad-0.10.22-disable-example.patch
Patch4:		gst-plugins-bad-0.10.23-CVE-2015-0797.patch
# gw: fix for bug #36437 (paths to realplayer codecs)
# prefer codecs from the RealPlayer package in restricted
Patch10:	gst-plugins-bad-0.10.6-real-codecs-path.patch
URL:		http://gstreamer.freedesktop.org/
#gw for the pixbuf plugin
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= %{_glib2}
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.5
BuildRequires:	pkgconfig(sdl)
BuildRequires:	libbzip2-devel
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmusicbrainz)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(opencv)
BuildRequires:  pkgconfig(opus)

%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif

%ifnarch %arm %mips
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= %{gst_required_version}
BuildRequires:	pkgconfig(libcdaudio)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libmimic)
BuildRequires:	pkgconfig(libass)
%if %build_plf
BuildRequires:	pkgconfig(vo-aacenc)
BuildRequires:	pkgconfig(vo-amrwbenc)
%endif
#gw for checks
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	fonts-ttf-dejavu
#gw for autoreconf
BuildRequires:	gettext-devel
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink
Obsoletes:	gstreamer0.10-fluendo-mpegdemux <= 0.10.15
Provides:	gstreamer0.10-fluendo-mpegdemux
Conflicts:	%{bname}-farsight <= 1:0.12.10
Requires:	%{bname}-voip >= %{version}-%{release}

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif


%package -n %{libnamephoto}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamephoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %{libnamevdp}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamevdp}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %{develnamephoto}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libnamephoto} = %{version}-%{release}
Requires:	%{libnamevdp} = %{version}-%{release}
Provides:	gstphotography-devel = %{version}-%{release}

%description -n %{develnamephoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%package -n %{libnamebase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamebase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %{develnamebase}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libnamebase} = %{version}-%{release}
Provides:	gstbasevideo-devel = %{version}-%{release}

%description -n %{develnamebase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%package -n %{bname}-curl
Summary:	GStreamer Curl plugin
Group:		Networking/Other
BuildRequires:	libcurl-devel

%description -n %{bname}-curl
This is a HTTP plugin for GStreamer based on the curl library.

%files -n %{bname}-curl
%{_libdir}/gstreamer-%{majorminor}/libgstcurl.so

%package -n %{bname}-dc1394
Summary:	GStreamer DC1394 plugin
Group:		System/Libraries
BuildRequires:	libdc1394-devel

%description -n %{bname}-dc1394
This is a IEEE 1394 (Firewire) support plugin for GStreamer.

%files -n %{bname}-dc1394
%{_libdir}/gstreamer-%{majorminor}/libgstdc1394.so

%package -n %{bname}-ofa
Summary:	GStreamer OFA plugin
Group:		Sound/Players
BuildRequires:	pkgconfig(libofa)

%description -n %{bname}-ofa
This is a metadata support plugin for GStreamer based on the Open
Fingerprint Architecture library.

%files -n %{bname}-ofa
%{_libdir}/gstreamer-%{majorminor}/libgstofa.so

%package -n %{bname}-wildmidi
Summary:	GStreamer wildmidi plugin
Group:		Sound/Midi
BuildRequires:	wildmidi-devel
Requires:	timidity-instruments
Provides:	gstreamer0.10(decoder-audio/midi) = %{version}-%{release}

%description -n %{bname}-wildmidi
This is a MIDI plugin for GStreamer based on the wildmidi library.

%files -n %{bname}-wildmidi
%{_libdir}/gstreamer-%{majorminor}/libgstwildmidi.so

%package -n %{bname}-mpeg2enc
Summary:	GStreamer mjpegtools plug-in
Group:		Video/Players
BuildRequires:	pkgconfig(mjpegtools)

%description -n %{bname}-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %{bname}-mpeg2enc
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{majorminor}/libgstmplex.so

%if %build_gme
%package -n %{bname}-gme
Summary:	GStreamer Game Music plug-in
Group:		Sound/Players
BuildRequires:	libgme-devel

%description -n %{bname}-gme
Game Music decoding plug-in.

%files -n %{bname}-gme
%{_libdir}/gstreamer-%{majorminor}/libgstgme.so
%endif


%if %build_dirac
%package -n %{bname}-dirac
Summary:	GStreamer dirac plug-in
Group:		Video/Players
BuildRequires:	pkgconfig(dirac) >= 0.9

%description -n %{bname}-dirac
Dirac encoding and decoding plug-in.

%files -n %{bname}-dirac
%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
%endif

%package -n %{bname}-schroedinger
Summary:	GStreamer dirac plug-in based on Schroedinger
Group:		Video/Players
BuildRequires:	pkgconfig(schroedinger-1.0)
Epoch: 1

%description -n %{bname}-schroedinger
Dirac encoding and decoding plug-in based on Schroedinger.

%files -n %{bname}-schroedinger
%{_libdir}/gstreamer-%{majorminor}/libgstschro.so

%package -n %{bname}-vp8
Summary:	GStreamer VP8 plug-in
Group:		Video/Players
BuildRequires:	pkgconfig(libvpx)

%description -n %{bname}-vp8
VP8 encoding and decoding plug-in.

%files -n %{bname}-vp8
%{_libdir}/gstreamer-%{majorminor}/libgstvp8.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpvp8.so

### LADSPA ###
%package -n %{bname}-ladspa
Summary:	Gstreamer wrapper for LADSPA plug-ins
Group:		Sound/Players
Requires:	ladspa
BuildRequires:	ladspa-devel

%description -n %{bname}-ladspa
Plug-in which wraps LADSPA plug-ins for use by GStreamer applications.
We suggest you also get the cmt package of ladspa plug-ins
and steve harris's swh-plugins package.

%files -n %{bname}-ladspa
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%if %build_dts
%package -n %{bname}-dts
Summary:	GStreamer plug-ins for DTS audio playback
Group:		Sound/Players
BuildRequires:	dtsdec-devel

%description -n %{bname}-dts
Plug-ins for decoding DTS audio.

%files -n %{bname}-dts
%{_libdir}/gstreamer-%{majorminor}/libgstdtsdec.so
%endif

%if %build_xvid
%package -n %{bname}-xvid
Summary:	GStreamer plug-ins for XVID video encoding and decoding
Group:		Video/Players
BuildRequires:	xvid-devel >= 1.1

%description -n %{bname}-xvid
Plug-ins for encoding and decoding XVID video.

This package is in the 'tainted' section as it violates some patents.
%files -n %{bname}-xvid
%{_libdir}/gstreamer-%{majorminor}/libgstxvid.so
%endif

%package -n %{bname}-musepack
Summary:	GStreamer plug-in Musepack playback
Group:		Sound/Players
BuildRequires:	libmpcdec-devel

%description -n %{bname}-musepack
This plugin for GStreamer can play audio files which are encoded with
Andree Buschmann's encoder Musepack. These files have the filename
postfixes mpc, mp+ or mpp.

%files -n %{bname}-musepack
%{_libdir}/gstreamer-%{majorminor}/libgstmusepack.so

%package -n %{bname}-mms
Summary:	GStreamer plug-in for mms streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}
BuildRequires:	pkgconfig(libmms)

%description -n %{bname}-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %{bname}-mms
%{_libdir}/gstreamer-%{majorminor}/libgstmms.so

%package -n %{bname}-rtmp
Summary:	GStreamer plug-in for rtmp streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}
BuildRequires:	pkgconfig(librtmp)

%description -n %{bname}-rtmp
Plug-in supporting the rtmp protocol based on the librtmp library.

%files -n %{bname}-rtmp
%{_libdir}/gstreamer-%{majorminor}/libgstrtmp.so

%package -n %{bname}-directfb
Summary:	GStreamer plug-in for DirectFB output
Group:		Video/Players
Requires:	%{bname}-plugins = %{version}
BuildRequires:	pkgconfig(directfb)

%description -n %{bname}-directfb
Plug-in supporting the video output to DirectFB.

%files -n %{bname}-directfb
%{_libdir}/gstreamer-%{majorminor}/libgstdfbvideosink.so

%package -n %{bname}-soundtouch
Summary:	GStreamer plug-in for SoundTouch support
Group:		Sound/Players
Requires:	%{bname}-plugins = %{version}
BuildRequires:	pkgconfig(soundtouch)

%description -n %{bname}-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %{bname}-soundtouch
%{_libdir}/gstreamer-%{majorminor}/libgstsoundtouch.so

%package -n %{bname}-kate
Summary:	GStreamer Karaoke and text plugin
Group:		Video/Players
BuildRequires:	pkgconfig(tiger) >= 0.3.2

%description -n %{bname}-kate
This is a Karaoke and text plugin for GStreamer based on libkate and libtiger.

%files -n %{bname}-kate
%{_libdir}/gstreamer-%{majorminor}/libgstkate.so

%package -n %{bname}-libass
Summary:	GStreamer subtitles plugin
Group:		Video/Players
BuildRequires:	pkgconfig(libass)

%description -n %{bname}-libass
This is a subtitle plugin for GStreamer based on libass.

%files -n %{bname}-libass
%{_libdir}/gstreamer-%{majorminor}/libgstassrender.so

%package -n %{bname}-resindvd
Summary:	GStreamer DVD menu plugin
Group:		Video/Players
BuildRequires:	pkgconfig(dvdnav)

%description -n %{bname}-resindvd
This is a DVD playback plugin for GStreamer with menu support.

%files -n %{bname}-resindvd
%{_libdir}/gstreamer-%{majorminor}/libresindvd.so

%package -n %{bname}-voip
Summary:	GStreamer voip plugins
Group:		Sound/Players
Conflicts:	gstreamer0.10-plugins-bad < 0.10.14-3mdv

%description -n %{bname}-voip
This is a collection of VoIP plugins for GStreamer.

%files -n %{bname}-voip
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstliveadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so

%package -n %{bname}-cog
Summary:	GStreamer COG plugin
Group:		Video/Players
BuildRequires:	pkgconfig(orc-0.4)

%description -n %{bname}-cog
This is a signal processing plugin for GStreamer based on Orc.

%files -n %{bname}-cog
%{_libdir}/gstreamer-%{majorminor}/libgstcog.so

%package doc
Group:		Documentation
Summary:	GStreamer application library
%description doc
This is the documentation of %{name}.

%prep
%setup -q -n gst-plugins-bad-%{version}
%apply_patches
#gw broken configure in 0.10.19.2
#autoreconf -fi

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --with-package-name='%distribution %{name} package' \
  --with-package-origin='http://www.mageia.org/' \
%if ! %build_celt
	--disable-celt \
%endif
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_dirac
        --disable-dirac \
%endif
%if ! %build_xvid
        --disable-xvid \
%endif
%if ! %build_dts
        --disable-dts \
%endif
%if ! %build_plf
        --disable-voamrwbenc --disable-voaacenc \
%endif
%if %build_experimental
	--enable-experimental
%endif

make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang gst-plugins-bad-%{majorminor}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f %{buildroot}%{_libdir}/*.la

%files doc
%doc docs/plugins/html
%{_datadir}/gtk-doc/html/

%files -f gst-plugins-bad-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_datadir}/glib-2.0/schemas/org.freedesktop.gstreamer-0.10.default-elements.gschema.xml
%{_libdir}/gstreamer-%{majorminor}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstaiff.so
%{_libdir}/gstreamer-%{majorminor}/libgstapexsink.so
%{_libdir}/gstreamer-%{majorminor}/libgstasfmux.so
#%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsersbad.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{majorminor}/libgstautoconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstbayer.so
%{_libdir}/gstreamer-%{majorminor}/libgstcamerabin.so
%{_libdir}/gstreamer-%{majorminor}/libgstcamerabin2.so
%{_libdir}/gstreamer-%{majorminor}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{majorminor}/libgstcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdccp.so
%{_libdir}/gstreamer-%{majorminor}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvb.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdspu.so
%{_libdir}/gstreamer-%{majorminor}/libgstfaceoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so
%{_libdir}/gstreamer-%{majorminor}/libgstfrei0r.so
%{_libdir}/gstreamer-%{majorminor}/libgstfreeverb.so
%{_libdir}/gstreamer-%{majorminor}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{majorminor}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{majorminor}/libgstgsettingselements.so
%{_libdir}/gstreamer-%{majorminor}/libgsthdvparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3tag.so
%{_libdir}/gstreamer-%{majorminor}/libgstinter.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterlace.so
# This appears to have been removed. Commenting out (at least temporarily).
# -- shlomif
# %{_libdir}/gstreamer-%{majorminor}/libgstinvtelecine.so
%{_libdir}/gstreamer-%{majorminor}/libgstivfparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpegformat.so
%{_libdir}/gstreamer-%{majorminor}/libgstlegacyresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegvideoparse.so
# This appears to have been removed. Commenting out (at least temporarily).
# -- shlomif
# %{_libdir}/gstreamer-%{majorminor}/libgstmpeg4videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmve.so
%{_libdir}/gstreamer-%{majorminor}/libgstmimic.so
%{_libdir}/gstreamer-%{majorminor}/libgstmxf.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenal.so
#{_libdir}/gstreamer-%{majorminor}/libgstopencv.so
%{_libdir}/gstreamer-%{majorminor}/libgstopus.so
%{_libdir}/gstreamer-%{majorminor}/libgstpcapparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstpnm.so
#%{_libdir}/gstreamer-%{majorminor}/libgstqtmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstscaletempoplugin.so
%{_libdir}/gstreamer-%{majorminor}/libgstrawparse.so
%ifarch %ix86 x86_64
%{_libdir}/gstreamer-%{majorminor}/libgstreal.so
%endif
%{_libdir}/gstreamer-%{majorminor}/libgstremovesilence.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdpelem.so
%{_libdir}/gstreamer-%{majorminor}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{majorminor}/libgstshm.so
%{_libdir}/gstreamer-%{majorminor}/libgstsiren.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmooth.so
%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomaxrate.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomeasure.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideosignal.so
%{_libdir}/gstreamer-%{majorminor}/libgstvmnc.so
%{_libdir}/gstreamer-%{majorminor}/libgstbz2.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecklink.so
%{_libdir}/gstreamer-%{majorminor}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{majorminor}/libgstfragmented.so
%{_libdir}/gstreamer-%{majorminor}/libgstlinsys.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstpatchdetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdi.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoparsersbad.so
%if %{build_plf}
%{_libdir}/gstreamer-%{majorminor}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvoamrwbenc.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstVoAmrwbEnc.prs
%endif
%if %build_experimental
#%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace2.so
%endif

%{_libdir}/gstreamer-%{majorminor}/libgstfreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgsth264parse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstnsf.so
%{_libdir}/gstreamer-%{majorminor}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdl.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4mdec.so

#%package examples
#Summary:GStreamer example applications
#Group: Video

#%description examples
#This contains example applications to test %{name}

#%files examples
#%defattr(-, root, root)

%package -n %{bname}-vdpau
Summary:	GStreamer plug-in for playback using VDPAU
Group:		Video/Players
BuildRequires:	pkgconfig(vdpau)

%description -n %{bname}-vdpau
This plug-in adds video playback support to GStreamer based on VDPAU
(Video Decode and Presentation API for Unix).

%files -n %{bname}-vdpau
%{_libdir}/gstreamer-%{majorminor}/libgstvdpau.so

%if %build_faad
%package -n %{bname}-faad
Summary:	GStreamer plug-in for AAC audio playback
Group:		Sound/Players
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaad2-devel => 2.0

%description -n %{bname}-faad
Plug-ins for playing AAC audio

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faad
%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
%endif

%if %build_faac
%package -n %{bname}-faac
Summary:	GStreamer plug-ins for AAC audio encoding
Group:		Sound/Players
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaac-devel

%description -n %{bname}-faac
Plug-ins for encoding AAC audio

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faac
%{_libdir}/gstreamer-%{majorminor}/libgstfaac.so
%endif

%package -n %{bname}-gsm
Summary:	GStreamer plugin for GSM lossy audio format
Group:		Sound/Players
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	gsm-devel >= 1.0.10

%description -n %{bname}-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %{bname}-gsm
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so

%if 0
### SWFDEC FLASH PLUGIN ###
%package -n %{bname}-swfdec
Summary: 	GStreamer Flash rendering plug-in
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}
BuildRequires:	libswfdec-devel => 0.3.0

%description -n %{bname}-swfdec
Plug-in for rendering Flash animations using swfdec library

%files -n %{bname}-swfdec
%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
%endif

%package -n %{bname}-neon
Summary:	GStreamer HTTP plugin based on libneon
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}
BuildRequires:	pkgconfig(neon)

%description -n %{bname}-neon
Plug-in for HTTP access based on libneon.

%files -n %{bname}-neon
%{_libdir}/gstreamer-%{majorminor}/libgstneonhttpsrc.so

%package -n %{bname}-nas
Summary:	Gstreamer output plugin for the NAS sound server
Group:		Sound/Players
Requires:	%{bname}-plugins = %{version}
BuildRequires:	libnas-devel

%description -n %{bname}-nas
Output plugin for GStreamer for use with the nas sound server.

%files -n %{bname}-nas
%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so

%if %build_amrwb
%package -n %{bname}-amrwb
Summary:	GStreamer plug-in for AMR-WB support
Group:		Sound/Players
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libamrwb-devel

%description -n %{bname}-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwb
%{_datadir}/gstreamer-%{majorminor}/presets/GstAmrwbEnc.prs
%{_libdir}/gstreamer-%{majorminor}/libgstamrwbenc.so
%endif

%package -n %{bname}-jp2k
Summary:	GStreamer plug-in for JPEG2000 support
Group:		Graphics/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libjasper-devel

%description -n %{bname}-jp2k
Plug-in for JPEG2000 support under GStreamer.

%files -n %{bname}-jp2k
%{_libdir}/gstreamer-%{majorminor}/libgstjp2k.so
%{_libdir}/gstreamer-%{majorminor}/libgstjp2kdecimator.so

%if %build_celt
%package -n %{bname}-celt
Summary:	GStreamer plug-in for CELT support
Group:		Video/Players
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(celt) >= 0.7.0

%description -n %{bname}-celt
Plug-in for CELT support under GStreamer.

%files -n %{bname}-celt
%{_libdir}/gstreamer-%{majorminor}/libgstcelt.so
%endif

%package -n %{bname}-rsvg
Summary:	GStreamer plug-in for SVG support
Group:		Graphics/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	pkgconfig(librsvg-2.0)

%description -n %{bname}-rsvg
Plug-in for SVG support under GStreamer.

%files -n %{bname}-rsvg
%{_libdir}/gstreamer-%{majorminor}/libgstrsvg.so

%files -n %{libnamephoto}
%{_libdir}/libgstphotography-%{majorminor}.so.%{gst_libdir_ver}*
%{_libdir}/libgstsignalprocessor-%{majorminor}.so.%{gst_libdir_ver}*
%{_libdir}/libgstcodecparsers-%{majorminor}.so.%{gst_libdir_ver}*

%files -n %{libnamevdp}
%{_libdir}/libgstvdp-%{majorminor}.so.%{gst_libdir_ver}*

%files -n %{develnamephoto}
%{_libdir}/libgstcodecparsers-%{majorminor}.so
%{_libdir}/libgstphotography-%{majorminor}.so
%{_libdir}/libgstsignalprocessor-%{majorminor}.so
%{_libdir}/libgstvdp-%{majorminor}.so
%{_includedir}/gstreamer-0.10/gst/codecparsers/
%{_includedir}/gstreamer-0.10/gst/interfaces/photography*
%{_includedir}/gstreamer-0.10/gst/signalprocessor/gstsignalprocessor.h
%{_includedir}/gstreamer-0.10/gst/vdpau/
%{_includedir}/gstreamer-0.10/gst/video/
%{_libdir}/pkgconfig/gstreamer-plugins-bad-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-codecparsers-%{majorminor}.pc

%files -n %{libnamebase}
%{_libdir}/libgstbasecamerabinsrc-%{majorminor}.so.%{gst_libdir_ver}*
%{_libdir}/libgstbasevideo-%{majorminor}.so.%{gst_libdir_ver}*

%files -n %develnamebase
%{_libdir}/libgstbasecamerabinsrc-%{majorminor}.so
%{_libdir}/libgstbasevideo-%{majorminor}.so
%{_includedir}/gstreamer-0.10/gst/video/gstbasevideo*
%{_includedir}/gstreamer-0.10/gst/basecamerabinsrc/*
%{_libdir}/pkgconfig/gstreamer-basevideo-%{majorminor}.pc


%changelog
* Thu Apr 16 2015 luigiwalser <luigiwalser> 0.10.23-14.1.mga4
+ Revision: 820304
- add patch from debian to fix CVE-2015-0797

* Fri Nov 01 2013 lmenut <lmenut> 0.10.23-14.mga4.tainted
+ Revision: 548734
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 0.10.23-13.mga4.tainted
+ Revision: 467267
- rebuild for new dfb

* Mon Jun 03 2013 fwang <fwang> 0.10.23-12.mga4.tainted
+ Revision: 435946
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.10.23-11.mga3.tainted
+ Revision: 352747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 rtp <rtp> 0.10.23-10.mga3
+ Revision: 341325
- fix BR on non-intel arches

* Mon Nov 26 2012 tv <tv> 0.10.23-9.mga3.tainted
+ Revision: 321966
- fix gstreamer0.10-wildmidi group

* Wed Oct 10 2012 shlomif <shlomif> 0.10.23-8.mga3
+ Revision: 304298
- Update groups based on Feature:RPMGroupRevamp
- Convert the groups to Sound/Players
- Convert the group to Documentation per RPMGroupRevamp
- Got rid of trailing space

* Wed Sep 05 2012 fwang <fwang> 0.10.23-7.mga3
+ Revision: 288306
- rebuild to make 0.10 flavour of devel pacakge appear again

* Thu Aug 09 2012 tv <tv> 0.10.23-6.mga3.tainted
+ Revision: 280080
- fix file list
- rebuild with opus support

* Sat Jul 28 2012 fwang <fwang> 0.10.23-5.mga3.tainted
+ Revision: 275255
- rebuild for new dfb

* Tue May 29 2012 fwang <fwang> 0.10.23-4.mga3.tainted
+ Revision: 249047
- add more br for plf build

* Tue May 29 2012 fwang <fwang> 0.10.23-4.mga3
+ Revision: 249040
- drop opencv as it currently only support opencv 2.3.x
- rebuild for new opencv

* Thu Apr 05 2012 shlomif <shlomif> 0.10.23-3.mga2.tainted
+ Revision: 228690
- Add a Provides: for wildmidi (bug #5013)
- Add more conditional --disable to fix the build.

* Sat Mar 03 2012 shlomif <shlomif> 0.10.23-2.mga2
+ Revision: 217604
- Add missing files to the tainted version

* Fri Mar 02 2012 shlomif <shlomif> 0.10.23-1.mga2
+ Revision: 216861
- Add some missing BuildRequires
- New version 0.10.23

* Fri Mar 02 2012 fwang <fwang> 0.10.22-7.mga2.tainted
+ Revision: 216671
- rebuild for new vpx

* Sun Oct 30 2011 fwang <fwang> 0.10.22-6.mga2.tainted
+ Revision: 159923
- rebuild

* Sun Sep 18 2011 fwang <fwang> 0.10.22-5.mga2.tainted
+ Revision: 144917
- rebuild for new libpng
- disable check
- do not need to specify mplex dir
- specify mplex includedir
- fix build with mjpegtools 2.0
- disable dfb example build
- rebuild for new dfb

* Sun Jul 17 2011 ahmad <ahmad> 0.10.22-3.mga2
+ Revision: 125249
- Rebuild for celt-0.11.1
- Change the BR to pkgconfig style

* Mon Jun 20 2011 ahmad <ahmad> 0.10.22-2.mga2.tainted
+ Revision: 110727
- Change BR s/valgrind/valgrind-devel/, needed after the latest valgrind package
  split

* Mon Jun 20 2011 wally <wally> 0.10.22-1.mga2.tainted
+ Revision: 110632
- bump base plugins dep
- new version 0.10.22
- add curl plugin
- fix file list
- clean .spec

* Sun May 29 2011 cjw <cjw> 0.10.21-3.mga1.tainted
+ Revision: 100682
- add support for tainted builds

* Sun Feb 06 2011 ahmad <ahmad> 0.10.21-2.mga1
+ Revision: 47667
- drop old/unneeded scriptlets
- adapt spec to Mageia
- imported package gstreamer0.10-plugins-bad

